org.apache.torque.generator.configuration.outlet

## Class OutletConfigurationTags

- java.lang.Object
- - org.apache.torque.generator.configuration.outlet.OutletConfigurationTags

-     public final class OutletConfigurationTags
      extends Object

  Tag names for the outlet configuration files.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INPUT_CLASS_ATTRIBUTE` Attribute name for the attribute "class" of the "input" tag.
    `static String` | `INPUT_ELEMENT_NAME_ATTRIBUTE` Attribute name for the attribute "elementName" of the "input" tag.
    `static String` | `INPUT_TAG` Tag name for the "input" tag.
    `static String` | `OUTLET_CLASS_ATTRIBUTE` Attribute name for the attribute "class" of the "outlet" tag.
    `static String` | `OUTLET_ENCODING_ATTRIBUTE` Attribute name for the attribute "encoding" of the "outlet" tag.
    `static String` | `OUTLET_NAME_ATTRIBUTE` Attribute name for the attribute "name" of the "outlet" tag.
    `static String` | `OUTLET_OPTIONS_IN_BINDING_ATTRIBUTE` Attribute name for the attribute "optionsInBinding" of the "outlet" tag.
    `static String` | `OUTLET_OPTIONS_IN_CONTEXT_ATTRIBUTE` Attribute name for the attribute "optionsInContext" of the "outlet" tag.
    `static String` | `OUTLET_PATH_ATTRIBUTE` Attribute name for the attribute "path" of the "outlet" tag.
    `static String` | `OUTLET_SOURCE_ATTRIBUTES_IN_BINDING_ATTRIBUTE` Attribute name for the attribute "sourceAttributesInBinding" of the "outlet" tag.
    `static String` | `OUTLET_SOURCE_ATTRIBUTES_IN_CONTEXT_ATTRIBUTE` Attribute name for the attribute "sourceAttributesInContext" of the "outlet" tag.
    `static String` | `OUTLET_TAG` Tag name for the "outlet" tag.
    `static String` | `OUTLET_TEMPLATE_ATTRIBUTE` Attribute name for the attribute "template" of the "outlet" tag.
    `static String` | `OUTLET_TYPE_ATTRIBUTE` Attribute name for the attribute "type" of the "outlet" tag.
    `static String` | `OUTLET_VARIABLES_IN_BINDING_ATTRIBUTE` Attribute name for the attribute "variablesInBinding" of the "outlet" tag.
    `static String` | `OUTLET_VARIABLES_IN_CONTEXT_ATTRIBUTE` Attribute name for the attribute "variablesInContext" of the "outlet" tag.
    `static String` | `OUTLETS_TAG` Tag name for the "outlets" tag.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OUTLETS_TAG

          public static final String OUTLETS_TAG

      Tag name for the "outlets" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_TAG

          public static final String OUTLET_TAG

      Tag name for the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_NAME_ATTRIBUTE

          public static final String OUTLET_NAME_ATTRIBUTE

      Attribute name for the attribute "name" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_TYPE_ATTRIBUTE

          public static final String OUTLET_TYPE_ATTRIBUTE

      Attribute name for the attribute "type" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_PATH_ATTRIBUTE

          public static final String OUTLET_PATH_ATTRIBUTE

      Attribute name for the attribute "path" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_ENCODING_ATTRIBUTE

          public static final String OUTLET_ENCODING_ATTRIBUTE

      Attribute name for the attribute "encoding" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_CLASS_ATTRIBUTE

          public static final String OUTLET_CLASS_ATTRIBUTE

      Attribute name for the attribute "class" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_TEMPLATE_ATTRIBUTE

          public static final String OUTLET_TEMPLATE_ATTRIBUTE

      Attribute name for the attribute "template" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_OPTIONS_IN_CONTEXT_ATTRIBUTE

          public static final String OUTLET_OPTIONS_IN_CONTEXT_ATTRIBUTE

      Attribute name for the attribute "optionsInContext" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_SOURCE_ATTRIBUTES_IN_CONTEXT_ATTRIBUTE

          public static final String OUTLET_SOURCE_ATTRIBUTES_IN_CONTEXT_ATTRIBUTE

      Attribute name for the attribute "sourceAttributesInContext" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_VARIABLES_IN_CONTEXT_ATTRIBUTE

          public static final String OUTLET_VARIABLES_IN_CONTEXT_ATTRIBUTE

      Attribute name for the attribute "variablesInContext" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_OPTIONS_IN_BINDING_ATTRIBUTE

          public static final String OUTLET_OPTIONS_IN_BINDING_ATTRIBUTE

      Attribute name for the attribute "optionsInBinding" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_SOURCE_ATTRIBUTES_IN_BINDING_ATTRIBUTE

          public static final String OUTLET_SOURCE_ATTRIBUTES_IN_BINDING_ATTRIBUTE

      Attribute name for the attribute "sourceAttributesInBinding" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### OUTLET_VARIABLES_IN_BINDING_ATTRIBUTE

          public static final String OUTLET_VARIABLES_IN_BINDING_ATTRIBUTE

      Attribute name for the attribute "variablesInBinding" of the "outlet" tag.
      See Also:
        Constant Field Values

    - #### INPUT_TAG

          public static final String INPUT_TAG

      Tag name for the "input" tag.
      See Also:
        Constant Field Values

    - #### INPUT_ELEMENT_NAME_ATTRIBUTE

          public static final String INPUT_ELEMENT_NAME_ATTRIBUTE

      Attribute name for the attribute "elementName" of the "input" tag.
      See Also:
        Constant Field Values

    - #### INPUT_CLASS_ATTRIBUTE

          public static final String INPUT_CLASS_ATTRIBUTE

      Attribute name for the attribute "class" of the "input" tag.
      See Also:
        Constant Field Values

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.